Main Page Widgets Namespaces Book

# Glib::TimeoutSource Class Reference
[The Main Event Loop]

Inheritance diagram for Glib::TimeoutSource:

[legend]
List of all members.

## Public Types
typedef Glib::TimeoutSource | CppObjectType
## Public Member Functions
SigC::Connection | connect (const SigC::Slot0<bool>& slot)
## Static Public Member Functions
Glib::RefPtr<TimeoutSource> | create (unsigned int interval)
## Protected Member Functions
| TimeoutSource (unsigned int interval)
virtual | ~TimeoutSource ()
virtual bool | prepare (int& timeout)
virtual bool | check ()
virtual bool | dispatch (SigC::SlotNode* slot_data)

## Member Typedef Documentation

typedef Glib::TimeoutSource Glib::TimeoutSource::CppObjectType

| Reimplemented from Glib::Source.

## Constructor & Destructor Documentation

Glib::TimeoutSource::TimeoutSource | ( | unsigned int | interval | ) | `[explicit, protected]`

virtual Glib::TimeoutSource::~TimeoutSource | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual bool Glib::TimeoutSource::check | ( |  | ) | `[protected, virtual]`

| Implements Glib::Source.

SigC::Connection Glib::TimeoutSource::connect | ( | const SigC::Slot0<bool>& | slot | ) |

Glib::RefPtr<TimeoutSource> Glib::TimeoutSource::create | ( | unsigned int | interval | ) | `[static]`

virtual bool Glib::TimeoutSource::dispatch | ( | SigC::SlotNode* | slot_data | ) | `[protected, virtual]`

| Implements Glib::Source.

virtual bool Glib::TimeoutSource::prepare | ( | int& | timeout | ) | `[protected, virtual]`

| Implements Glib::Source.

The documentation for this class was generated from the following file:

- glib/glibmm/main.h